package roleplay

type Entity interface {
	Tick()
}

type Instance struct {

}

//////////////////////////////////////////
// Temporary Code
//////////////////////////////////////////
type EntityID int

var id int = -1
func NewEntityID() EntityID {
	id += 1
	return EntityID(id)
}
//////////////////////////////////////////
// End Temporary Code
//////////////////////////////////////////

type Server struct {
	entities map[EntityID]Entity
	instances map[string]Instance
}

func(server Server) Tick() {
	for _, entity := range(server.entities) {
		entity.Tick()
	}
}
